FROM openshift/golang-builder@sha256:ab1bfcb9d06b339cb767acb804e6aa82eb23cd0795e6f82af54e92c312a32777 AS builder
ENV __doozer=update BUILD_RELEASE=202201211922.p0.g5f6589d.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202201211922.p0.g5f6589d.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=5f6589d OS_GIT_VERSION=4.7.0-202201211922.p0.g5f6589d.assembly.stream-5f6589d SOURCE_DATE_EPOCH=1621620980 SOURCE_GIT_COMMIT=5f6589d4ef9496e63ebc072f4d863151bbeb4407 SOURCE_GIT_TAG=v0.0.0-beta1-179-g5f6589d4 SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-gcp 
WORKDIR /go/src/github.com/openshift/cluster-api-provider-gcp
COPY . .
# VERSION env gets set in the openshift/release image and refers to the golang version, which interfers with our own
RUN unset VERSION \
 && make build GOPROXY=off NO_DOCKER=1 CGO_ENABLED=0

FROM openshift/ose-base:v4.7.0-202201082234.p0.g0e45f63.assembly.stream
ENV __doozer=update BUILD_RELEASE=202201211922.p0.g5f6589d.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202201211922.p0.g5f6589d.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=5f6589d OS_GIT_VERSION=4.7.0-202201211922.p0.g5f6589d.assembly.stream-5f6589d SOURCE_DATE_EPOCH=1621620980 SOURCE_GIT_COMMIT=5f6589d4ef9496e63ebc072f4d863151bbeb4407 SOURCE_GIT_TAG=v0.0.0-beta1-179-g5f6589d4 SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-gcp 
COPY --from=builder /go/src/github.com/openshift/cluster-api-provider-gcp/bin/machine-controller-manager /
COPY --from=builder /go/src/github.com/openshift/cluster-api-provider-gcp/bin/termination-handler /

LABEL \
        name="openshift/ose-gcp-machine-controllers" \
        com.redhat.component="ose-gcp-machine-controllers-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Cloud Compute" \
        io.openshift.maintainer.subcomponent="Other Providers" \
        release="202201211922.p0.g5f6589d.assembly.stream" \
        io.openshift.build.commit.id="5f6589d4ef9496e63ebc072f4d863151bbeb4407" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-api-provider-gcp" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-api-provider-gcp/commit/5f6589d4ef9496e63ebc072f4d863151bbeb4407" \
        version="v4.7.0"

